﻿using Hotline.Share.Enums.KnowledgeBase;

namespace Hotline.Share.Dtos.Knowledge
{
    public record KnowledgeApplyPageDto
    {
        /// <summary>
        /// ID
        /// </summary>
        public string Id { get; set; }

        /// <summary>
        /// 内容
        /// </summary>
        public string Content { get; set; }

        /// <summary>
        /// 申请类型
        /// </summary>
        public EKnowledgeApplyType KnowledgeApplyType { get; set; }

        /// <summary>
        /// 申请状态
        /// </summary>
        public EKnowledgeApplyStatus Status { get; set; }

        /// <summary>
        /// 申请人
        /// </summary>
        public string CreationName { get; set; }

        /// <summary>
        /// 申请部门名称
        /// </summary>
        public string CreationOrgName { get; set; }

        /// <summary>
        /// 截止时间
        /// </summary>
        public DateTime? ExpiredTime { get; set; }

        /// <summary>
        /// 创建
        /// </summary>
        public DateTime? CreationTime { get; set; }

        /// <summary>
        /// 处理完成时间
        /// </summary>
        public DateTime? HandleTime { get; set; }

        /// <summary>
        /// 退回时间
        /// </summary>
        public DateTime? ReturnTime { get; set; }
    }
}
